Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# semantic_release.commit_parser.util module

semantic_release.commit_parser.util.deep_copy_commit(commit: Commit) → dict[str, Any]

semantic_release.commit_parser.util.force_str(msg: str | bytes | bytearray | memoryview) → str

semantic_release.commit_parser.util.parse_paragraphs(text: str) → list[str]

  This will take a text block and return a list containing each paragraph with single line breaks collapsed into spaces.

  To handle Windows line endings, carriage returns ‘r’ are removed before separating into paragraphs.

  It will attempt to detect Git footers and they will not be condensed.

  Parameters:

    text – The text string to be divided.

  Returns:

    A list of condensed paragraphs, as strings.